module "dev" {
  source                                        = "./environment"
  environment                                   = "dev"
  scaleway_access_key                           = var.scaleway_config.access_key
  scaleway_full_calendar_licence_key            = var.scaleway_config.full_calendar_licence_key
  scaleway_mailer_dsn                           = var.scaleway_config.mailer_dsn
  scaleway_mattermost_channel                   = "aei---alertes"
  scaleway_mattermost_webhook_url               = var.scaleway_config.mattermost_webhook_url
  scaleway_matomo_site_id                       = var.scaleway_config.matomo_site_id
  scaleway_matomo_url                           = var.scaleway_config.matomo_url
  scaleway_organization_id                      = var.scaleway_config.organization_id
  scaleway_pro_connect_api_url                  = "https://fca.integ01.dev-agentconnect.fr"
  scaleway_pro_connect_client_id                = var.scaleway_config.pro_connect_client_id_dev
  scaleway_pro_connect_client_secret            = var.scaleway_config.pro_connect_client_secret_dev
  scaleway_secret_key                           = var.scaleway_config.secret_key
  scaleway_sentry_public_key                    = var.scaleway_config.sentry_public_key
  scaleway_timezonedb_api_key                   = var.scaleway_config.timezonedb_api_key
  scaleway_wonderpush_access_token              = var.scaleway_config.wonderpush_access_token_dev
  scaleway_wonderpush_application_id            = var.scaleway_config.wonderpush_application_id_dev
  scaleway_wonderpush_intervention_bloquee      = "01i0o6d525o0hpcs"
  scaleway_wonderpush_intervention_refusee      = "01i0o6d525o0hpcs"
  scaleway_wonderpush_intervention_terminee     = "01i0o6d525o0hpcs"
  scaleway_wonderpush_intervention_terminee_elu = "01i0o6d525o0hpcs"
  scaleway_wonderpush_nouveau_commentaire       = "01i0o6d525o0hpcs"
  scaleway_wonderpush_nouvelle_demande          = "01i0o6d525o0hpcs"
  scaleway_wonderpush_webkey                    = var.scaleway_config.wonderpush_webkey_dev
  scaleway_zapier_webhook_url                   = ""
  sentry_auth_token                             = var.sentry.auth_token
  domain_name                                   = local.dev_domain
  tunnel_ip                                     = scaleway_instance_server.ssh_tunnel_instance.public_ip
  db_admins = keys(var.db_admins)
  providers = {
    scaleway = scaleway
  }
}
output "dev_db_credentials" {
  value     = module.dev.db_credentials
  sensitive = true
}

module "prod" {
  source                                        = "./environment"
  environment                                   = "prod"
  scaleway_access_key                           = var.scaleway_config.access_key
  scaleway_full_calendar_licence_key            = var.scaleway_config.full_calendar_licence_key
  scaleway_mailer_dsn                           = var.scaleway_config.mailer_dsn
  scaleway_mattermost_channel                   = "startup-agentsenintervention"
  scaleway_mattermost_webhook_url               = var.scaleway_config.mattermost_webhook_url
  scaleway_matomo_site_id                       = var.scaleway_config.matomo_site_id
  scaleway_matomo_url                           = var.scaleway_config.matomo_url
  scaleway_organization_id                      = var.scaleway_config.organization_id
  scaleway_pro_connect_api_url                  = "https://auth.agentconnect.gouv.fr"
  scaleway_pro_connect_client_id                = var.scaleway_config.pro_connect_client_id_prod
  scaleway_pro_connect_client_secret            = var.scaleway_config.pro_connect_client_secret_prod
  scaleway_secret_key                           = var.scaleway_config.secret_key
  scaleway_sentry_public_key                    = var.scaleway_config.sentry_public_key
  scaleway_wonderpush_webkey                    = var.scaleway_config.wonderpush_webkey_prod
  scaleway_wonderpush_application_id            = var.scaleway_config.wonderpush_application_id_prod
  scaleway_timezonedb_api_key                   = var.scaleway_config.timezonedb_api_key
  scaleway_wonderpush_access_token              = var.scaleway_config.wonderpush_access_token_prod
  scaleway_wonderpush_nouvelle_demande          = "01i14jbjlsvps6ks"
  scaleway_wonderpush_intervention_bloquee      = "01i14jcgndn45gqd"
  scaleway_wonderpush_intervention_terminee     = "01i14jda43tudkg2"
  scaleway_wonderpush_intervention_terminee_elu = "01i14jf824bka6o2"
  scaleway_wonderpush_intervention_refusee      = "01i6rk5c8t49s1o1"
  scaleway_wonderpush_nouveau_commentaire       = "01i14jglt1dghi4s"
  scaleway_zapier_webhook_url                   = var.scaleway_config.zapier_webhook_url_prod
  sentry_auth_token                             = var.sentry.auth_token
  domain_name                                   = local.prod_domain
  additional_domain_names = [local.prod_domain_www]
  tunnel_ip                                     = scaleway_instance_server.ssh_tunnel_instance.public_ip
  db_admins = keys(var.db_admins)
  providers = {
    scaleway = scaleway
  }
}
output "prod_db_credentials" {
  value     = module.prod.db_credentials
  sensitive = true
}

module "preprod" {
  source                                        = "./environment"
  environment                                   = "preprod"
  scaleway_access_key                           = var.scaleway_config.access_key
  scaleway_mailer_dsn                           = var.scaleway_config.mailer_dsn
  scaleway_mattermost_channel                   = null
  scaleway_mattermost_webhook_url               = var.scaleway_config.mattermost_webhook_url
  scaleway_matomo_site_id                       = var.scaleway_config.matomo_site_id
  scaleway_matomo_url                           = var.scaleway_config.matomo_url
  scaleway_organization_id                      = var.scaleway_config.organization_id
  scaleway_secret_key                           = var.scaleway_config.secret_key
  scaleway_pro_connect_api_url                  = "https://fca.integ01.dev-agentconnect.fr"
  scaleway_pro_connect_client_id                = var.scaleway_config.pro_connect_client_id_preprod
  scaleway_pro_connect_client_secret            = var.scaleway_config.pro_connect_client_secret_preprod
  scaleway_sentry_public_key                    = var.scaleway_config.sentry_public_key
  scaleway_full_calendar_licence_key            = var.scaleway_config.full_calendar_licence_key
  scaleway_timezonedb_api_key                   = var.scaleway_config.timezonedb_api_key
  scaleway_wonderpush_access_token              = var.scaleway_config.wonderpush_access_token_preprod
  scaleway_wonderpush_application_id            = var.scaleway_config.wonderpush_application_id_preprod
  scaleway_wonderpush_intervention_bloquee      = "01i3ph0o0o9mmng1"
  scaleway_wonderpush_intervention_refusee      = "01i6rk7nqh7efno1"
  scaleway_wonderpush_intervention_terminee     = "01i3pguee9e85p01"
  scaleway_wonderpush_intervention_terminee_elu = "01i3pgtj38clp2o1"
  scaleway_wonderpush_nouveau_commentaire       = "01i3pgr28abed801"
  scaleway_wonderpush_nouvelle_demande          = "01i3ph1mss99n8g1"
  scaleway_wonderpush_webkey                    = var.scaleway_config.wonderpush_webkey_preprod
  scaleway_zapier_webhook_url                   = var.scaleway_config.zapier_webhook_url_preprod
  sentry_auth_token                             = var.sentry.auth_token
  domain_name                                   = local.preprod_domain
  tunnel_ip                                     = scaleway_instance_server.ssh_tunnel_instance.public_ip
  db_admins = keys(var.db_admins)
  providers = {
    scaleway = scaleway
  }
}
output "preprod_db_credentials" {
  value     = module.preprod.db_credentials
  sensitive = true
}
